@echo OFF

SET MAP_PATH="D:\Programs\Hammer\maps\hl\mymap.map"
SET TOOLS_PATH="D:\Programs\SHLT\SHLT 3.7 Binaries and Resources\x86 (32 bit) SSE2"

SET CSG_PARAMS=-wadautodetect -cliptype precise
SET BSP_PARAMS=
SET VIS_PARAMS=-full
SET RAD_PARAMS=-bounce 1 -extra -sparse -dscale 1
SET ALL_PARAMS=-estimate -threads 2 -chart -low

%TOOLS_PATH%\HLCSG.exe %MAP_PATH% %ALL_PARAMS% %CSG_PARAMS%
%TOOLS_PATH%\HLBSP.exe %MAP_PATH% %ALL_PARAMS% %BSP_PARAMS%
%TOOLS_PATH%\HLVIS.exe %MAP_PATH% %ALL_PARAMS% %VIS_PARAMS%
%TOOLS_PATH%\HLRAD.exe %MAP_PATH% %ALL_PARAMS% %RAD_PARAMS%

@echo End of compiler.bat.
@pause>nul